Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GTestBreakOnFailureUnitTest Class Reference
Inheritance diagram for GTestBreakOnFailureUnitTest:

## Public Member Functions
def | RunAndVerify (self, env_var_value, flag_value, expect_seg_fault)
def | testDefaultBehavior (self)
def | testEnvVar (self)
def | testFlag (self)
def | testFlagOverridesEnvVar (self)
def | testBreakOnFailureOverridesThrowOnFailure (self)
def | testCatchExceptionsDoesNotInterfere (self)

## Detailed Description

    Tests using the GTEST_BREAK_ON_FAILURE environment variable or
    the --gtest_break_on_failure flag to turn assertion failures into
    segmentation faults.

## Member Function Documentation

def RunAndVerify | ( |  | self,
|  |  | env_var_value,
|  |  | flag_value,
|  |  | expect_seg_fault
| ) |  |

    Runs gtest_break_on_failure_unittest_ and verifies that it does
    (or does not) have a seg-fault.

    Args:
      env_var_value:    value of the GTEST_BREAK_ON_FAILURE environment
                    variable; None if the variable should be unset.
      flag_value:       value of the --gtest_break_on_failure flag;
                    None if the flag should not be present.
      expect_seg_fault: 1 if the program is expected to generate a seg-fault;
                    0 otherwise.

def testBreakOnFailureOverridesThrowOnFailure | ( |  | self | ) |

    Tests that gtest_break_on_failure overrides gtest_throw_on_failure.

def testCatchExceptionsDoesNotInterfere | ( |  | self | ) |

    Tests that gtest_catch_exceptions doesn't interfere.

def testDefaultBehavior | ( |  | self | ) |

    Tests the behavior of the default mode.

def testEnvVar | ( |  | self | ) |

    Tests using the GTEST_BREAK_ON_FAILURE environment variable.

def testFlag | ( |  | self | ) |

    Tests using the --gtest_break_on_failure flag.

def testFlagOverridesEnvVar | ( |  | self | ) |

    Tests that the flag overrides the environment variable.

The documentation for this class was generated from the following file:

- testing/googleTest/test/gtest_break_on_failure_unittest.py